> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Búsqueda de Communities

> El endpoint de búsqueda de Communities te permite recuperar información sobre X Communities por su ID. Referencia del nivel estándar de X API v2 que cubre lookup.

export const Button = ({href, children}) => {
  return <div className="not-prose">
    <a href={href}>
      <button className="x-btn">
        <span>{children}</span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

El endpoint de búsqueda de Communities te permite recuperar información sobre X Communities por su ID.

## Descripción general

Communities son grupos públicos o privados en X donde los miembros pueden compartir Posts, discutir temas y conectarse en torno a intereses compartidos.

<CardGroup cols={2}>
  <Card title="Por ID" icon="users-rectangle">
    Obtén detalles de una Community específica
  </Card>

  <Card title="Buscar" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" width="24" height="24" data-path="icons/xds/icon-search.svg">
    Encuentra Communities por palabra clave
  </Card>
</CardGroup>

***

## Endpoint

| Método | Endpoint                                                       | Descripción              |
| :----- | :------------------------------------------------------------- | :----------------------- |
| GET    | [`/2/communities/:id`](/x-api/communities/get-community-by-id) | Obtener Community por ID |

***

## Campos de respuesta

| Campo          | Descripción                 |
| :------------- | :-------------------------- |
| `id`           | ID de la Community          |
| `name`         | Nombre de la Community      |
| `description`  | Descripción de la Community |
| `created_at`   | Fecha de creación           |
| `member_count` | Número de miembros          |
| `is_private`   | Si la Community es privada  |

***

## Solicitud de ejemplo

```bash theme={null}
curl "https://api.x.com/2/communities/1234567890?\
community.fields=name,description,member_count,created_at" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

## Primeros pasos

<Note>
  **Requisitos previos**

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) aprobada
  * Un [Project y App](/resources/fundamentals/developer-apps) en el Developer Console
  * Las [claves y tokens](/resources/fundamentals/authentication) de tu App
</Note>

<CardGroup cols={2}>
  <Card title="Buscar Communities" icon="https://mintcdn.com/x-preview/cfyQtgCdwk8p69aa/icons/xds/icon-search.svg?fit=max&auto=format&n=cfyQtgCdwk8p69aa&q=85&s=8c11ad89387b7c09ced1553d5c232834" href="/x-api/communities/search/introduction" width="24" height="24" data-path="icons/xds/icon-search.svg">
    Encuentra Communities por palabra clave
  </Card>

  <Card title="Referencia de la API" icon="https://mintcdn.com/x-preview/ygI6sSJPehlc0qNT/icons/xds/icon-code.svg?fit=max&auto=format&n=ygI6sSJPehlc0qNT&q=85&s=488e23401b19225b89acc0136d242219" href="/x-api/communities/get-community-by-id" width="24" height="24" data-path="icons/xds/icon-code.svg">
    Documentación completa del endpoint
  </Card>
</CardGroup>
